Bug 1728747 - task dashboard -- highilighting issues
Summary: task dashboard -- highilighting issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks: 1718889
TreeView+ depends on / blocked
 
Reported: 2019-07-10 15:17 UTC by Peter Ondrejka
Modified: 2019-10-22 19:51 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.15.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
image1 (21.00 KB, image/png)
2019-07-10 15:22 UTC, Peter Ondrejka
no flags Details
image2 (39.15 KB, image/png)
2019-07-10 15:23 UTC, Peter Ondrejka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27081 0 None None None 2019-09-03 08:22:23 UTC

Internal Links: 1718889

Description Peter Ondrejka 2019-07-10 15:17:14 UTC
Description of problem:

1. The highlihging of currently active elements is a bit inconsistent (see image1). I'd imagine that the inactive cards would be grayed-out as a whole, currently the titles and some text elements are never grayed out, which works against the quick realizing of which filters are actually applied.

2.Also when applying the old-style search filter (even an empty one), the donut charts from dashboard dissapear (see image2)

3. The table in Stopped card is a bit unclear about what is clickable. I tried the rownames without effect, therefore I assumed for a while the table is just informative -- would be nice to be consistent with the table style where clickable elements are blue.

4. Just a minor annoyance, I'd increase the spacing between the number and "Total" within donuts.

Comment 3 Peter Ondrejka 2019-07-10 15:22:25 UTC
Created attachment 1589131 [details]
image1

Comment 4 Peter Ondrejka 2019-07-10 15:23:12 UTC
Created attachment 1589133 [details]
image2

Comment 10 Peter Ondrejka 2019-09-16 11:22:45 UTC
Verified on Sat 6.6 snap 20, issues 1. and 3. were fixed

Comment 11 Bryan Kearney 2019-10-22 19:51:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.